<?php
defined('ABSPATH') or die('No script kiddies please!');
if($ti_command == 'toggle-campaign')
{
update_option($trustindex_collector->get_option_name('campaign-active'), $trustindex_collector->is_campaign_active() ? 0 : 1, false);
exit;
}
wp_enqueue_script('trustindex-js', 'https://cdn.trustindex.io/loader.js', [], false, true);
?>
<div class="plugin-body">
<div class="card card-mid-grey">
<div class="card-header card-header-lg"><?php echo TrustindexCollectorPlugin::___('Collect customer reviews automatically'); ?></div>
<div class="card-body">
<p class="size-16"><?php echo TrustindexCollectorPlugin::___('Collect reviews on Google, Facebook, Yelp, Trustpilot and various other platforms simply, with the help of our system.'); ?></p>
<?php if($settings_state < 4): ?>
<a href="<?php echo esc_url('?page='. $_page .'&tab=settings'); ?>" class="btn btn-success btn-loading-on-click"><?php echo TrustindexCollectorPlugin::___('Set up invitations'); ?></a>
<div class="badge bg-danger badge-for-btn"><?php echo TrustindexCollectorPlugin::___('Start here'); ?></div>
<?php endif; ?>
</div>
</div>
<?php if($settings_state >= 4): ?>
<div class="card campaign-status">
<div class="card-body">
<div class="row align-items-center">
<div class="col-auto">
<strong><?php echo TrustindexCollectorPlugin::___('Review request campaign'); ?></strong>
</div>
<div class="col-auto">
<div class="form-check form-switch form-switch-md">
<input class="form-check-input" type="checkbox" id="ti-campaign-activate-checkbox" <?php if($trustindex_collector->is_campaign_active()): ?>checked<?php endif; ?>>
<label class="form-check-label" data-on-text="<?php echo TrustindexCollectorPlugin::___('Enabled'); ?>" data-off-text="<?php echo TrustindexCollectorPlugin::___('Disabled'); ?>"></label>
</div>
</div>
<div class="col-auto ml-auto">
<a class="btn btn-light btn-loading-on-click" href="<?php echo esc_url('?page='. $_page .'&tab=settings'); ?>"><?php echo TrustindexCollectorPlugin::___('Settings'); ?></a>
</div>
</div>
</div>
</div>
<div class="card card-transparent">
<div class="card-body">
<div class="widget-promo">
<h2 class="text-center"><?php echo TrustindexCollectorPlugin::___('Display your reviews on your website fast and simple'); ?></h2>
<p class="size-16 text-center">
<?php echo TrustindexCollectorPlugin::___("Use our professional widgets on your website and gain your customer's trust!"); ?><br />
<?php echo TrustindexCollectorPlugin::___('Choose from %d layouts and %d pre-designed styles.', [ 40, 25 ]); ?></p>
</div>
<div class="widget-container mb-2">
<div src='https://cdn.trustindex.io/loader.js?67a57e27931285361b531faf66'></div>
<div src='https://cdn.trustindex.io/loader.js?99b1cd77964b8521e65d94ae3e'></div>
</div>
<div class="btn-container center">
<a href="https://www.trustindex.io/ti-redirect.php?a=sys&c=wc-collect-1" target="_blank" class="btn btn-primary"><?php echo TrustindexCollectorPlugin::___('Create a free Trustindex account'); ?></a>
</div>
</div>
</div>
<?php endif; ?>
</div>