<?php
defined('ABSPATH') or die('No script kiddies please!');
$list_page_index = isset($_REQUEST['pi']) ? intval($_REQUEST['pi']) : 1;
$list_page_term = isset($_REQUEST['q']) ? sanitize_text_field($_REQUEST['q']) : "";
$page_url = "?page=$_page&tab=$_tab&pi=$list_page_index&q=$list_page_term";
if(isset($_GET['cancel']))
{
$id = intval($_GET['cancel']);
$wpdb->delete($trustindex_collector->get_tablename('schedule_list'), [ 'id' => $id ]);
header('Location: '. $page_url);
exit;
}
$results = $trustindex_collector->get_schedules($list_page_index, $list_page_term);
if($list_page_term)
{
$results_total = $trustindex_collector->get_schedules()->total;
}
else
{
$results_total = $results->total;
}
?>
<div class="plugin-head"><?php echo TrustindexCollectorPlugin::___('Requests'); ?></div>
<div class="plugin-body">
<?php if($results_total): ?>
<form class="row justify-content-end">
<input type="hidden" name="page" value="<?php echo esc_attr($_page); ?>" />
<input type="hidden" name="tab" value="<?php echo esc_attr($_tab); ?>" />
<input type="hidden" name="pi" value="1" />
<div class="col-3">
<input type="text" class="form-control" autofocus name="q" value="<?php echo esc_attr($list_page_term); ?>" placeholder="<?php echo TrustindexCollectorPlugin::___('Search'); ?>" />
</div>
<div class="col-2 col-sm-auto">
<button class="btn btn-primary btn-loading-on-click"><?php echo TrustindexCollectorPlugin::___('Search'); ?></button>
</div>
</form>
<?php endif; ?>
<?php if($results->total): ?>
<table class="table ti-table">
<thead>
<tr>
<th scope="col" style="width: 75px"><?php echo TrustindexCollectorPlugin::___('Status'); ?></th>
<th scope="col"><?php echo TrustindexCollectorPlugin::___('Name'); ?></th>
<th scope="col" style="width: 210px"><?php echo TrustindexCollectorPlugin::___('E-mail'); ?></th>
<th scope="col" style="width: 115px"><?php echo TrustindexCollectorPlugin::___('Order id'); ?></th>
<th scope="col" style="width: 165px"><?php echo TrustindexCollectorPlugin::___('Created date'); ?></th>
<th scope="col" style="width: 165px"><?php echo TrustindexCollectorPlugin::___('Send date'); ?></th>
<th scope="col" style="width: 80px" class="text-center"><?php echo TrustindexCollectorPlugin::___('Cancel'); ?></th>
</tr>
</thead>
<tbody>
<?php foreach($results->schedules as $schedule): ?>
<tr>
<td>
<?php if($schedule->sent): ?>
<span class="dashicons dashicons-saved text-success" style="font-size: 25px; margin-left: -3px"></span>
<?php else: ?>
<span class="ti-loading-icon text-info"></span>
<?php endif; ?>
</td>
<td><?php echo esc_html($schedule->name); ?></td>
<td><?php echo esc_html($schedule->email); ?></td>
<td>
<?php if(wc_get_order($schedule->order_id)): ?>
<a href="<?php echo esc_url('post.php?post='. $schedule->order_id .'&action=edit'); ?>" target="_blank"><?php echo esc_html($schedule->order_id); ?></a>
<?php else: ?>
<i><?php echo TrustindexCollectorPlugin::___('Not exists'); ?></i>
<?php endif; ?>
</td>
<td><?php echo date('Y-m-d H:i:s', strtotime($schedule->created_at)); ?></td>
<td><?php echo date('Y-m-d H:i:s', $schedule->timestamp); ?></td>
<td class="text-center">
<?php if(!$schedule->sent): ?>
<a href="<?php echo esc_url($page_url .'&cancel='. $schedule->id); ?>" class="btn btn-danger btn-sm btn-loading-on-click">
<span class="dashicons dashicons-trash"></span>
</a>
<?php endif; ?>
</td>
</tr>
<?php endforeach; ?>
</tbody>
</table>
<?php if($results->max_num_pages > 1): ?>
<?php include($trustindex_collector->get_plugin_dir() . 'include' . DIRECTORY_SEPARATOR . 'pagination.php'); ?>
<?php endif; ?>
<?php else: ?>
<div class="alert alert-warning">
<p><?php echo TrustindexCollectorPlugin::___('List is empty.'); ?></p>
</div>
<?php endif; ?>
</div>