<?php
defined('ABSPATH') or die('No script kiddies please!');
function save_settings_state($new_settings_state)
{
global $settings_state;
global $trustindex_collector;
if($settings_state <= $new_settings_state)
{
update_option($trustindex_collector->get_option_name('settings-state'), $new_settings_state, false);
}
}
if($ti_command == 'save-platform-url')
{
check_admin_referer('ti-collector-save-platform-url');
$trustindex_collector->save_option_from_request('platform-url');
save_settings_state(2);
exit;
}
else if($ti_command == 'save-trigger')
{
check_admin_referer('ti-collector-save-trigger');
$trustindex_collector->save_option_from_request('trigger-delay');
$trustindex_collector->save_option_from_request('trigger-event');
save_settings_state(3);
exit;
}
else if($ti_command == 'save-email-settings')
{
check_admin_referer('ti-collector-save-email-settings');
$trustindex_collector->save_option_from_request('email-sender');
$trustindex_collector->save_option_from_request('email-sender-email');
$trustindex_collector->save_option_from_request('email-subject');
$trustindex_collector->save_option_from_request('email-text', 'text');
$trustindex_collector->save_option_from_request('email-footer-text', 'text');
$trustindex_collector->save_option_from_request('email-button-title');
save_settings_state(4);
exit;
}
else if($ti_command == 'test-email')
{
$email = isset($_POST['email']) ? sanitize_email($_POST['email']) : "";
if($email)
{
if(isset($_POST['email-text']))
{
$_POST['email-text'] = wp_kses_post(stripslashes($_POST['email-text']));
}
if(isset($_POST['email-footer-text']))
{
$_POST['email-footer-text'] = wp_kses_post(stripslashes($_POST['email-footer-text']));
}
$trustindex_collector->sendMail($email, $_POST);
}
exit;
}
$ti_settings = [];
foreach($trustindex_collector->get_default_settings() as $name => $default)
{
$ti_settings[ $name ] = get_option($trustindex_collector->get_option_name($name), $default);
}
?>
<div class="plugin-head"><?php echo TrustindexCollectorPlugin::___('Set up automatic review requests'); ?></div>
<div class="plugin-body">
<div class="accordion accordion-flush accordion-check" id="ti-settings">
<div class="accordion-item">
<h2 class="accordion-header">
<button class="accordion-button collapsed disabled<?php if($settings_state > 1): ?> done<?php endif; ?>" type="button" data-bs-toggle="collapse" data-bs-target="#ti-platform-url" aria-expanded="false" aria-controls="ti-platform-url">
<div class="acc-check"><span></span></div>
<?php echo TrustindexCollectorPlugin::___('Where do you want to collect reviews'); ?>
</button>
</h2>
<form id="ti-platform-url" method="post" class="accordion-collapse collapse<?php if($settings_state == 1): ?> show<?php endif; ?>" data-bs-parent="#ti-settings">
<input type="hidden" name="command" value="save-platform-url" />
<?php wp_nonce_field('ti-collector-save-platform-url'); ?>
<div class="accordion-body">
<div class="alert alert-danger alert-hidden alert-url-invalid"><?php echo TrustindexCollectorPlugin::___('URL is invalid'); ?></div>
<div class="row">
<label class="col-12 col-sm-auto col-form-label"><?php echo TrustindexCollectorPlugin::___('Review platform URL'); ?></label>
<div class="col-12 col-sm">
<input type="text" class="form-control" name="platform-url" placeholder="https://" value="<?php echo esc_attr($ti_settings['platform-url']); ?>" />
</div>
</div>
<div class="row">
<div class="col-12 col-sm justify-content-end d-flex">
<a href="#" class="btn btn-light btn-test-review-link">
<?php echo TrustindexCollectorPlugin::___('Test review link'); ?>
<span class="dashicons dashicons-external" style="margin-left: 2px"></span>
</a>
<a href="#" class="btn btn-primary btn-next">
<?php if($settings_state >= 2): ?>
<?php echo TrustindexCollectorPlugin::___('Save changes'); ?>
<?php else: ?>
<?php echo TrustindexCollectorPlugin::___('Next'); ?>
<?php endif; ?>
</a>
</div>
</div>
</div>
</form>
</div>
<div class="accordion-item">
<h2 class="accordion-header">
<button class="accordion-button collapsed disabled<?php if($settings_state > 2): ?> done<?php endif; ?>" type="button" data-bs-toggle="collapse" data-bs-target="#ti-trigger" aria-expanded="false" aria-controls="ti-trigger">
<div class="acc-check"><span></span></div>
<?php echo TrustindexCollectorPlugin::___('When to send e-mail request'); ?>
</button>
</h2>
<form id="ti-trigger" class="accordion-collapse collapse<?php if($settings_state == 2): ?> show<?php endif; ?>" data-bs-parent="#ti-settings">
<input type="hidden" name="command" value="save-trigger" />
<?php wp_nonce_field('ti-collector-save-trigger'); ?>
<div class="accordion-body">
<div class="row">
<label class="col-12 col-sm-auto col-form-label"><?php echo TrustindexCollectorPlugin::___('Send'); ?></label>
<div class="col-12 col-sm-auto">
<select class="form-select" name="trigger-delay">
<option value="0"<?php if($ti_settings['trigger-delay'] == 0): ?> selected<?php endif; ?>><?php echo TrustindexCollectorPlugin::___('immediately'); ?></option>
<?php foreach([ 1, 2, 3, 4, 5, 6, 7, 14, 21 ] as $days): ?>
<option value="<?php echo esc_attr($days); ?>"<?php if($ti_settings['trigger-delay'] == $days): ?> selected<?php endif; ?>><?php echo TrustindexCollectorPlugin::___('after %s days', [ $days ]); ?></option>
<?php endforeach; ?>
</select>
</div>
<label class="col-12 col-sm-auto col-form-label"><?php echo TrustindexCollectorPlugin::___("if order's status changes to"); ?></label>
<div class="col">
<select class="form-select" name="trigger-event">
<?php foreach(wc_get_order_statuses() as $status => $name): ?>
<option value="<?php echo esc_attr($status); ?>"<?php if($ti_settings['trigger-event'] == $status): ?> selected<?php endif; ?>>
<?php echo esc_html($name); ?>
</option>
<?php endforeach; ?>
</select>
</div>
</div>
<div class="row">
<div class="col justify-content-end d-flex">
<a href="#" class="btn btn-primary btn-next">
<?php if($settings_state >= 3): ?>
<?php echo TrustindexCollectorPlugin::___('Save changes'); ?>
<?php else: ?>
<?php echo TrustindexCollectorPlugin::___('Next'); ?>
<?php endif; ?>
</a>
</div>
</div>
</div>
</form>
</div>
<div class="accordion-item">
<h2 class="accordion-header">
<button class="accordion-button collapsed disabled<?php if($settings_state > 3): ?> done<?php endif; ?>" type="button" data-bs-toggle="collapse" data-bs-target="#ti-email-settings" aria-expanded="false" aria-controls="ti-email-settings">
<div class="acc-check"><span></span></div>
<?php echo TrustindexCollectorPlugin::___('E-mail customization'); ?>
</button>
</h2>
<form id="ti-email-settings" class="accordion-collapse collapse<?php if($settings_state >= 3): ?> show<?php endif; ?>" data-bs-parent="#ti-settings">
<input type="hidden" name="command" value="save-email-settings" />
<?php wp_nonce_field('ti-collector-save-email-settings'); ?>
<div class="accordion-body">
<div class="alert alert-danger alert-hidden alert-empty"><?php echo TrustindexCollectorPlugin::___('Fill all fields'); ?></div>
<div class="alert alert-danger alert-hidden alert-email-invalid"><?php echo TrustindexCollectorPlugin::___('Sender e-mail is invalid'); ?></div>
<div class="row">
<label class="col-12 col-sm-4 col-md-3 col-form-label"><?php echo TrustindexCollectorPlugin::___('Sender name'); ?></label>
<div class="col-12 col-sm">
<input type="text" class="form-control" name="email-sender" value="<?php echo esc_attr($ti_settings['email-sender']); ?>" placeholder="<?php echo TrustindexCollectorPlugin::___('Sender name'); ?>" />
</div>
</div>
<div class="row">
<label class="col-12 col-sm-4 col-md-3 col-form-label"><?php echo TrustindexCollectorPlugin::___('Sender e-mail'); ?></label>
<div class="col-12 col-sm">
<input type="text" class="form-control" name="email-sender-email" value="<?php echo esc_attr($ti_settings['email-sender-email']); ?>" placeholder="<?php echo TrustindexCollectorPlugin::___('Sender e-mail'); ?>" />
<small class="text-danger" style="display: none"><?php echo TrustindexCollectorPlugin::___("Sender e-mail must be on the site's domain address so that the e-mails do not end up in spam."); ?></small>
</div>
</div>
<div class="row">
<label class="col-12 col-sm-4 col-md-3 col-form-label"><?php echo TrustindexCollectorPlugin::___('E-mail subject'); ?></label>
<div class="col-12 col-sm">
<input type="text" class="form-control" name="email-subject" value="<?php echo esc_attr($ti_settings['email-subject']); ?>" placeholder="<?php echo TrustindexCollectorPlugin::___('E-mail subject'); ?>" />
</div>
</div>
<div class="row">
<label class="col-12 col-sm-4 col-md-3 col-form-label"><?php echo TrustindexCollectorPlugin::___('Review button title'); ?></label>
<div class="col-12 col-sm">
<input type="text" class="form-control" name="email-button-title" value="<?php echo esc_attr($ti_settings['email-button-title']); ?>" placeholder="<?php echo TrustindexCollectorPlugin::___('Review button title'); ?>" />
</div>
</div>
<div class="row">
<label class="col-12 col-sm-4 col-md-3 col-form-label"><?php echo TrustindexCollectorPlugin::___('E-mail footer text'); ?></label>
<div class="col-12 col-sm">
<textarea class="form-control" name="email-footer-text" placeholder="<?php echo TrustindexCollectorPlugin::___('E-mail footer text'); ?>"><?php echo esc_textarea($ti_settings['email-footer-text']); ?></textarea>
</div>
</div>
<div class="email-config mt-4 mb-4">
<nav>
<div class="nav nav-tabs" id="nav-tab" role="tablist">
<button class="nav-link active" id="ti-email-preview-tab" data-bs-toggle="tab" data-bs-target="#ti-email-preview" type="button" role="tab" aria-controls="ti-email-preview" aria-selected="false"><?php echo TrustindexCollectorPlugin::___('E-mail preview'); ?></button>
<button class="nav-link" id="ti-edit-email-tab" data-bs-toggle="tab" data-bs-target="#ti-edit-email" type="button" role="tab" aria-controls="ti-edit-email" aria-selected="true"><?php echo TrustindexCollectorPlugin::___('Edit e-mail'); ?></button>
</div>
</nav>
<div class="tab-content" id="nav-tabContent">
<div class="tab-pane fade show active" id="ti-email-preview" role="tabpanel" aria-labelledby="email-prev-tab">
<iframe id="ti-email-preview-iframe"></iframe>
<template id="ti-email-preview-content"><?php echo esc_html($trustindex_collector->getEmailHtml("")); ?></template>
</div>
<div class="tab-pane fade" id="ti-edit-email" role="tabpanel" aria-labelledby="edit-email-tab">
<?php if(function_exists('wp_editor')): ?>
<?php wp_editor($ti_settings['email-text'], 'email-text', [
'media_buttons' => false,
'tinymce' => [
'toolbar1' => 'undo,redo,fontsizeselect,bold,italic,underline,alignleft,aligncenter,alignright,hr',
'toolbar2' => '',
'toolbar3' => '',
'toolbar4' => ''
],
'wpautop' => true
]); ?>
<?php else: ?>
<textarea class="form-control" id="email-text" name="email-text" rows="13"><?php echo esc_textarea($ti_settings['email-text']); ?></textarea>
<?php endif; ?>
</div>
</div>
</div>
<div class="alert alert-test-email alert-danger alert-hidden alert-empty-2"><?php echo TrustindexCollectorPlugin::___('Fill all fields'); ?></div>
<div class="alert alert-test-email alert-danger alert-hidden alert-email-invalid-2"><?php echo TrustindexCollectorPlugin::___('E-mail is invalid'); ?></div>
<div class="alert alert-test-email alert-success alert-hidden"><?php echo TrustindexCollectorPlugin::___('E-mail sent'); ?></div>
<div class="row">
<label class="col-12 col-sm-auto col-form-label"><?php echo TrustindexCollectorPlugin::___('Send test e-mail to'); ?></label>
<div class="col-12 col-sm">
<input type="email" id="ti-test-email-input" class="form-control" value="<?php echo esc_attr($current_user->user_email); ?>" />
</div>
<div class="col-12 col-sm-auto">
<a href="#" class="btn btn-light btn-send-test-email"><?php echo TrustindexCollectorPlugin::___('Send'); ?></a>
</div>
</div>
<div class="row">
<div class="col justify-content-end d-flex">
<a href="<?php echo esc_url('?page='. $_page .'&tab=dashboard'); ?>" class="btn btn-primary btn-next btn-finish">
<?php if($settings_state >= 4): ?>
<?php echo TrustindexCollectorPlugin::___('Save changes'); ?>
<?php else: ?>
<?php echo TrustindexCollectorPlugin::___('Start e-mail campaign'); ?>
<?php endif; ?>
</a>
</div>
</div>
</div>
</form>
</div>
</div>
</div>