<?php
defined('ABSPATH') or die('No script kiddies please!');
$auto_updates = get_option('auto_update_plugins', []);
$plugin_slug = "customer-reviews-collector-for-woocommerce/customer-reviews-collector-for-woocommerce.php";
if($ti_command == 'auto-update')
{
if(!in_array($plugin_slug, $auto_updates))
{
array_push($auto_updates, $plugin_slug);
update_option('auto_update_plugins', $auto_updates, false);
}
header('Location: admin.php?page='. $_page .'&tab=troubleshooting');
exit;
}
else if($ti_command == 're-create')
{
$trustindex_collector->uninstall();
$trustindex_collector->activate();
header('Location: admin.php?page='. $_page);
exit;
}
$yes_icon = '<span class="dashicons dashicons-yes-alt"></span>';
$no_icon = '<span class="dashicons dashicons-dismiss"></span>';
$plugin_updated = ($trustindex_collector->get_plugin_current_version() <= 1.3);
?>
<div class="plugin-head"><?php echo TrustindexCollectorPlugin::___('Troubleshooting'); ?></div>
<div class="plugin-body">
<div class="card">
<div class="card-body">
<p class="size-16"><strong><?php echo TrustindexCollectorPlugin::___('If you have any problem, you should try these steps:'); ?></strong></p>
<ul class="troubleshooting-checklist">
<li>
<?php echo TrustindexCollectorPlugin::___("Trustindex plugin"); ?>
<ul>
<li>
<?php echo TrustindexCollectorPlugin::___('Use the latest version:') .' '. ($plugin_updated ? $yes_icon : $no_icon); ?>
<?php if(!$plugin_updated): ?>
<a href="/wp-admin/plugins.php"><?php echo TrustindexCollectorPlugin::___("Update"); ?></a>
<?php endif; ?>
</li>
<li>
<?php echo TrustindexCollectorPlugin::___('Use automatic plugin update:') .' '. (in_array($plugin_slug, $auto_updates) ? $yes_icon : $no_icon); ?>
<?php if(!in_array($plugin_slug, $auto_updates)): ?>
<a href="?page=<?php echo esc_url($_page); ?>&tab=troubleshooting&command=auto-update"><?php echo TrustindexCollectorPlugin::___("Enable"); ?></a>
<div class="alert alert-sm alert-warning"><?php echo TrustindexCollectorPlugin::___('You should enable it, to get new features and fixes automatically, right after they published!'); ?></div>
<?php endif; ?>
</li>
</ul>
</li>
<li>
<?php
$plugin_url = 'https://wordpress.org/support/plugin/' . $trustindex_collector->get_plugin_slug();
$screenshot_url = 'https://snipboard.io';
$screencast_url = 'https://streamable.com/upload-video';
$pastebin_url = 'https://pastebin.com';
echo TrustindexCollectorPlugin::___("If the problem/question still exists, please create an issue here: %s", [ '<a href="'. $plugin_url .'" target="_blank">'. $plugin_url .'</a>' ]);
?>
<br />
<?php echo TrustindexCollectorPlugin::___('Please help us with some information:'); ?>
<ul>
<li><?php echo TrustindexCollectorPlugin::___('Describe your problem'); ?></li>
<li><?php echo TrustindexCollectorPlugin::___('You can share a screenshot with %s', [ '<a href="'. $screenshot_url .'" target="_blank">'. $screenshot_url .'</a>' ]); ?></li>
<li><?php echo TrustindexCollectorPlugin::___('You can share a screencast video with %s', [ '<a href="'. $screencast_url .'" target="_blank">'. $screencast_url .'</a>' ]); ?></li>
<li><?php echo TrustindexCollectorPlugin::___('If you have an (webserver) error log, you can copy it to the issue, or link it with %s', [ '<a href="'. $pastebin_url .'" target="_blank">'. $pastebin_url .'</a>' ]); ?></li>
<li><?php echo TrustindexCollectorPlugin::___('And include the information below:'); ?></li>
</ul>
</li>
</ul>
<?php
$dir = __DIR__ . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'customer-reviews-collector-for-woocommerce.php';
$plugin_data = get_plugin_data( $dir );
?>
<?php
$memory_limit = "N/A";
if(ini_get('memory_limit'))
{
$memory_limit = filter_var(ini_get('memory_limit'), FILTER_SANITIZE_STRING);
}
$upload_max = "N/A";
if (ini_get('upload_max_filesize'))
{
$upload_max = filter_var(ini_get('upload_max_filesize'), FILTER_SANITIZE_STRING);
}
$post_max = "N/A";
if (ini_get('post_max_size'))
{
$post_max = filter_var(ini_get('post_max_size'), FILTER_SANITIZE_STRING);
}
$max_execute = "N/A";
if (ini_get('max_execution_time'))
{
$max_execute = filter_var(ini_get('max_execution_time'));
}
?>
<textarea class="ti-troubleshooting-info" readonly>
URL: <?php echo esc_url(get_option('siteurl')) ."\n"; ?>
WP Table Prefix: <?php echo esc_html($wpdb->prefix) ."\n"; ?>
WP Version: <?php echo esc_html($wp_version) ."\n"; ?>
Server Name: <?php echo esc_html($_SERVER['SERVER_NAME']) ."\n"; ?>
Cookie Domain: <?php $cookieDomain = parse_url(strtolower(get_bloginfo('wpurl'))); echo esc_html($cookieDomain['host']) ."\n"; ?>
CURL Library Present: <?php echo (function_exists('curl_init') ? "Yes" : "No") ."\n"; ?>
PHP Info: <?php echo "\n\t"; ?>
Version: <?php echo esc_html(phpversion()) ."\n\t"; ?>
Memory Usage: <?php echo round(memory_get_usage() / 1024 / 1024, 2) . "MB\n\t"; ?>
Memory Limit: <?php echo esc_html($memory_limit) . "\n\t"; ?>
Max Upload Size: <?php echo esc_html($upload_max) . "\n\t"; ?>
Max Post Size: <?php echo esc_html($post_max) . "\n\t"; ?>
Allow URL fopen: <?php echo (ini_get('allow_url_fopen') ? "On" : "Off") . "\n\t"; ?>
Allow URL Include: <?php echo (ini_get('allow_url_include') ? "On" : "Off") . "\n\t"; ?>
Display Errors: <?php echo (ini_get('display_errors') ? "On" : "Off") . "\n\t"; ?>
Max Script Execution Time: <?php echo esc_html($max_execute) . " seconds\n\t"; ?>
WP_HTTP_BLOCK_EXTERNAL: <?php echo (defined('WP_HTTP_BLOCK_EXTERNAL') ? var_export(WP_HTTP_BLOCK_EXTERNAL, true) : 'not defined') . "\n\t"; ?>
WP_ACCESSIBLE_HOSTS: <?php echo (defined('WP_ACCESSIBLE_HOSTS') ? WP_ACCESSIBLE_HOSTS : 'not defined') . "\n\n"; ?>
Plugin: <?php echo esc_html($plugin_data['Name']) ."\n"; ?>
Plugin Version: <?php echo esc_html($plugin_data['Version']) ."\n"; ?>
Options: <?php foreach($trustindex_collector->get_option_names() as $opt_name) {
$option = get_option($trustindex_collector->get_option_name( $opt_name ));
echo "\n\t". esc_html($opt_name) .": ";
if(is_array($option))
{
echo esc_html(str_replace("\n", "\n\t\t", print_r($option, true)));
}
else
{
echo esc_html($option);
}
}
echo "\n\n"; ?>
Active Theme: <?php
if (!function_exists('wp_get_theme'))
{
$theme = get_theme(get_current_theme());
echo esc_html($theme['Name'] . ' ' . $theme['Version']);
}
else
{
$theme = wp_get_theme();
echo esc_html($theme->Name . ' ' . $theme->Version);
}
echo "\n"; ?>
Plugins: <?php foreach (get_plugins() as $key => $plugin) {
echo "\n\t". esc_html($plugin['Name'].' ('.$plugin['Version'] . (is_plugin_active($key) ? ' - active' : '') . ')');
} ?>
</textarea>
<div class="row">
<div class="col justify-content-end d-flex">
<a href=".ti-troubleshooting-info" class="btn btn-primary btn-copy2clipboard"><?php echo TrustindexCollectorPlugin::___('Copy to clipboard'); ?></a>
</div>
</div>
</div>
</div>
<div class="row">
<div class="col plugin-subtitle"><?php echo TrustindexCollectorPlugin::___('Re-create plugin'); ?></div>
</div>
<div class="card">
<div class="card-body">
<p class="size-16"><?php echo TrustindexCollectorPlugin::___('Re-create the database tables of the plugin.<br />Please note: this removes all settings and invitations.'); ?></p>
<div class="row">
<div class="col justify-content-end d-flex">
<a href="?page=<?php echo $_page; ?>&tab=troubleshooting&command=re-create" class="btn btn-primary btn-loading-on-click"><?php echo TrustindexCollectorPlugin::___('Re-create plugin'); ?></a>
</div>
</div>
</div>
</div>
<div class="row">
<div class="col plugin-subtitle"><?php echo TrustindexCollectorPlugin::___('Translation'); ?></div>
</div>
<div class="card">
<div class="card-body">
<p class="size-16">
<?php echo TrustindexCollectorPlugin::___('If you notice an incorrect translation in the plugin text, please report it here:'); ?>
 <a href="mailto:support@trustindex.io">support@trustindex.io</a>
</p>
</div>
</div>
</div>
